# Visualization
TKService
Image

# Image_DataMapNodeOfLookupTable Class Reference

`#include <Image_DataMapNodeOfLookupTable.hxx>`

## Public Member Functions

| Image_DataMapNodeOfLookupTable (const Aspect_IndexPixel &K, const Aspect_IndexPixel &I, const TCollection_MapNodePtr &n)
Aspect_IndexPixel & | Key () const
Aspect_IndexPixel & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Aspect_IndexPixel | myKey
Aspect_IndexPixel | myValue

## Constructor & Destructor Documentation

Image_DataMapNodeOfLookupTable::Image_DataMapNodeOfLookupTable | ( | const Aspect_IndexPixel & | K,
|  | const Aspect_IndexPixel & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const Image_DataMapNodeOfLookupTable::Handle | ( | Standard_Type |  | ) | const

Aspect_IndexPixel& Image_DataMapNodeOfLookupTable::Key | ( |  | ) | const

Aspect_IndexPixel& Image_DataMapNodeOfLookupTable::Value | ( |  | ) | const

## Field Documentation

Aspect_IndexPixel Image_DataMapNodeOfLookupTable::myKey `[private]`

Aspect_IndexPixel Image_DataMapNodeOfLookupTable::myValue `[private]`

The documentation for this class was generated from the following file:

- Image_DataMapNodeOfLookupTable.hxx